[arch-commits] Commit in gmp/trunk (PKGBUILD)

Allan McRae allan at archlinux.org
Sat May 16 23:50:49 EDT 2009


    Date: Saturday, May 16, 2009 @ 23:50:49
  Author: allan
Revision: 39454

upgpkg: gmp 4.3.1-2
    force building for required architecture

Modified:
  gmp/trunk/PKGBUILD

----------+
 PKGBUILD |    6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-05-16 23:45:46 UTC (rev 39453)
+++ PKGBUILD	2009-05-17 03:50:49 UTC (rev 39454)
@@ -3,7 +3,7 @@
 # Maintainer: Thomas Baechler <thomas at archlinux.org>
 pkgname=gmp
 pkgver=4.3.1
-pkgrel=1
+pkgrel=2
 pkgdesc="A free library for arbitrary precision arithmetic"
 arch=('i686' 'x86_64')
 url="http://gmplib.org/"
@@ -17,7 +17,9 @@
 build() {
   cd "${srcdir}/${pkgname}-${pkgver}"
   [ "${CARCH}" = "i686" ] && export ABI="32"
-  ./configure --prefix=/usr --enable-cxx --infodir=/usr/share/info || return 1
+  ./configure --build=$CHOST \
+    --prefix=/usr --infodir=/usr/share/info \
+    --enable-cxx || return 1
   make || return 1
   make check || return 1
   make DESTDIR="${pkgdir}" install || return 1



More information about the arch-commits mailing list